esound (0.2.41-11+dilos1) unstable; urgency=low

  * Build for DilOS.

 -- Denis Kozadaev <denis@dilos.org>  Mon, 24 Sep 2018 10:44:04 +0300

esound (0.2.41-11) unstable; urgency=low

  [ Josselin Mouette ]
  * Remove incorrect m-a: same stanza for libesd0-dev.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05_libm.patch:
    + New patch stolen from Fedora; fix build with new binutils
      by explicitly linking to libm. Closes: #711536.
  * debian/control.in,
    debian/rules:
    + Add dh-autoreconf magic.
  * debian/patches/03_hurd.patch:
    + Stop patching configure now that we run autoreconf.
  * debian/control.in:
    + Bump debhelper build dependency as we're using compat 9.
    + Bump Standards-Version to 3.9.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jun 2013 21:17:42 +0200

esound (0.2.41-10) unstable; urgency=low

  * Switch to dpkg source format 3.0 (quilt).
  * Transition to multiarch, thanks Steve. Closes: #645978
  * Drop the libtool .la file, since we break existing references anyway.
  * debian/control.in:
    - Bump Standards-Version to 3.9.2. No further changes.
    - Drop old Conflicts (pre-lenny).

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Oct 2011 01:04:30 +0200

esound (0.2.41-9) unstable; urgency=low

  * Drop esound and esound-clients packages.
  * Make libesd0 suggest pulseaudio-esound-compat, since it’s now the 
    way to get esound-enabled packages to work.
  * Drop API docs too.

 -- Josselin Mouette <joss@debian.org>  Sat, 16 Apr 2011 18:22:49 +0200

esound (0.2.41-8) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/03_hurd.patch:
    - Add header.

  [ Josselin Mouette ]
  * Drop type-handling usage. Closes: #587862.
  * Bump standards version accordingly.
  * Only suggest esound-clients. Closes: #599662.
  * 04_audsp_crash.patch: patch from Samuel Thibault to fix a crasher in 
    audsp. Closes: #601295.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 21:04:32 +0100

esound (0.2.41-7) unstable; urgency=low

  * Let libesd0-dev depend on pkg-config. Closes: #558481.
  * Standards-Version is 3.8.4, no changes needed.
  * Let every package depend on ${misc:Depends}.
  * debian/patches/03_hurd.patch:
    - Patch from Samuel Thibault to fix the build on GNU/Hurd.
      Closes: #564606.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 20 Feb 2010 21:54:12 +0100

esound (0.2.41-6) unstable; urgency=low

  * Remove libesd-alsa0. Only build one package, libesd0. On Linux it 
    uses ALSA unconditionally, we don’t support OSS anymore.
    Closes: #553182.
  * Make esound-common conflict against libesd-alsa0 so that it gets 
    removed from user systems.
  * Simplify the build process accordingly.

 -- Josselin Mouette <joss@debian.org>  Tue, 03 Nov 2009 20:32:35 +0100

esound (0.2.41-5) unstable; urgency=low

  * Fix FTBFS on kfreebsd. Closes: #532092.

 -- Josselin Mouette <joss@debian.org>  Sun, 14 Jun 2009 11:09:19 +0200

esound (0.2.41-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Build-depend on docbook-xml. Closes: #527830.

 -- Loic Minier <lool@dooz.org>  Fri, 15 May 2009 15:28:25 +0200

esound (0.2.41-3) unstable; urgency=low

  * 02_missing_var.patch: new patch, stolen from Gentoo. Allow to build 
    with the debugging flags. Closes: #516608.
  * Add docbook-utils to b-d-i. Closes: #516617.

 -- Josselin Mouette <joss@debian.org>  Thu, 09 Apr 2009 20:21:28 +0200

esound (0.2.41-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Tue, 17 Feb 2009 23:31:24 +0100

esound (0.2.41-1) experimental; urgency=low

  * 09_spawn_nobeeps.patch: initialize spawnfd as -1, and check for its 
    being >=0, since 0 is a perfectly valid spawnfd.
  * 08_kill_sigterm.patch: removed, this code path is not used anyway.
  * Build-depend on pkg-config. Closes: #506142.
  * Require audiofile 0.2.3 to match 02_audiofile_supported.patch.
  * New upstream release, integrating all our patches but one.
    + Drop the patches.

 -- Josselin Mouette <joss@debian.org>  Tue, 18 Nov 2008 22:00:57 +0100

esound (0.2.40-1) experimental; urgency=low

  * New maintainer.
  * New upstream release. Closes: #422590, #452720.
    + Exits with GNOME logout. Closes: #504694, #415216.
  * Convert to cdbs. Incidentally closes: #465092.
  * Enable IPv6 support.
  * Update copyright information.
  * Generate architectures list with type-handling.
    Closes: #288903, #469860.
  * Add documentation (and associated doc-base registration) to 
    esound-common.
  * Move libesddsp to esound-clients (it’s only used by esddsp).
  * Split the patches that were not merged upstream into a quilt 
    series.
  * Update watch.
  * Import patches from Ubuntu:
    + 17_check_esd.patch: do not bother starting esd if it doesn’t 
      exist.
    + 18_multiple_instances.patch: allow multiple instances of esd per 
      user. Closes: #147532
    + 19_esddsp_mutex.patch: protect dsp_init against multiple calls 
      with a mutex. Closes: #347751, #348019, #257354.
  * 20_manpage_errors.patch: new patch. Add standard pod2man header to 
    esdcat.1.in.
  * 21_requires.private: new patch. Use Requires.private for audiofile 
    in the pkg-config file. Closes: #375804.    
  * 12_esddsp_mmap64.patch: replace the mmap64 implementation by one 
    that accepts off64_t. Closes: #415713.
  * 50_alsa_drain.patch: disabled for now, it should be fixed in ALSA.
  * Set libesd-alsa0 to be the default in shlibs.
    Closes: #286406, #385014.
  * Only suggest esound-clients. Closes: #486374.
  * Mention the two versions of the library in README.Debian.
    Closes: #248118.

 -- Josselin Mouette <joss@debian.org>  Mon, 17 Nov 2008 20:32:29 +0100

esound (0.2.36-3) unstable; urgency=low

  * Only include *64 functions if necessary in libesddsp for things
    that check at runtime rather than compile time (closes: #347751)

 -- Ryan Murray <rmurray@debian.org>  Fri, 13 Jan 2006 00:33:23 -0800

esound (0.2.36-2) unstable; urgency=low

  * Allow playing of everything current libaudiofile supports (closes: #318145)
  * Apply patch to wrap *64 functions, too (closes: #257146)
  * Pull several patches from Ubuntu: (closes: #343174, #315668)
  * Rebuild on hppa with fixed headers (closes: #328872)

  [ Martin Pitt <martin.pitt@ubuntu.com> ]
  + esound (0.2.36-1ubuntu5) breezy; urgency=low
    * audio_alsa09.c, esd_audio_close():
    - Call snd_pcm_hw_free() before snd_pcm_close(). This closes the file
      descriptor to the sound device even if the device is not physically
      present any more.
    - This fixes the esound/hotplug deadlock when removing a currently active
      sound device.
  + esound (0.2.36-1ubuntu2) breezy; urgency=low
    * audio_alsa09.c: Disable snd_pcm_drain() call for now since it sometimes
      triggers a race condition in the ALSA kernel driver which causes the
      esd process to hang. This is not a proper bug fix, but at least makes all
      those broken Colony installations out there work again. (Ubuntu #12276)
  + esound (0.2.36-0ubuntu2) breezy; urgency=low
    * esd.c: Install signal handler for SIGUSR1 that reconnects to the ALSA
      driver. This is useful after changing the ALSA configuration file.
    * client.c: Integrate driver reconnection into client loop.
    * audio_alsa09.c, initAlsa(): Call snd_config_update_free_global() to purge
      configuration cache and to properly reload configuration files.

  [ Jeff Waugh <jeff.waugh@ubuntu.com> ]
  + esound (0.2.35-2ubuntu2) hoary; urgency=low
    * esdlib.c:
      - More thorough fixage, avoid stupid breakage thanks to Paolo Borelli
        and James Henstridge.
  + esound (0.2.35-2ubuntu1) hoary; urgency=low
    * esdlib.c:
      - Do not modify host passed to esd_sound_open, because that is highly
        offensive. (Fixes GStreamer using ESPEAKER.) Thanks to Jan Schmidt
        who should take full credit for finding this bogon.

 -- Ryan Murray <rmurray@debian.org>  Wed, 11 Jan 2006 01:42:15 -0800

esound (0.2.36-1) unstable; urgency=medium

  * New upstream release (closes: #313378, #313563, #314294, #283814)
  * Revert changes in unsanctioned NMU.
  * Increase shlib to 0.2.35, when esd_default_options was introduced.
    (closes: #279108)
  * Remove all non dh maintainer scripts -- they're no longer needed.
  * Remove obsolete (potato or earlier) dependencies.
  * Remove html documentation.  It's horribly incomplete, and the
    manpages are updated more frequently. (closes: #283235)
  * Add amd64 to alsa list (closes: #277860)
  * Bump DH_COMPAT to 4
  * Reject clients that we can't mix for (closes: #312087)
  * Move libesddsp to /usr/lib/esound (closes: #220058)
  * Some buffer size and delay timing tweaks.

 -- Ryan Murray <rmurray@debian.org>  Sat, 25 Jun 2005 16:13:24 -0700

esound (0.2.35-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch to add amd64 and ppc64 support, thanks Andreas Jochens
    (closes: #288903)

 -- Luk Claes <luk@debian.org>  Thu,  5 May 2005 17:08:34 +0200

esound (0.2.35-2) unstable; urgency=low

  * Relibtoolize.

 -- Ryan Murray <rmurray@debian.org>  Sat, 23 Oct 2004 17:55:29 -0700

esound (0.2.35-1) unstable; urgency=high

  * New upstream release (closes: #249375, #270098, #216736)
  * Open OSS device similar to xmms (closes: #265432)
  * Fix esd_comm_loop() so recording works (closes: #211867)
  * Fix filter buffer handling so filters work (closes: #202027)
  * Don't call write() with a NULL buffer and 0 length (closes: #188637)
  * Remove libasound2 item from README.Debian (closes: #270269)
  * Keep writing audio until it is all gone (closes: #239299)
  * Remove static esddsp library, .so link, and .la file from
    libesd0-dev.  It's only meant for LD_PRELOAD.

 -- Ryan Murray <rmurray@debian.org>  Fri, 22 Oct 2004 02:59:31 -0700

esound (0.2.34-1) unstable; urgency=low

  * New upstream release (closes: #125803, #203913, #244840, #262376, #254130)
  * Revert custom esd_audio_write from -2 (closes: #264981)
  * Use --release sarge (closes: #214939)

 -- Ryan Murray <rmurray@debian.org>  Thu, 12 Aug 2004 17:59:29 -0700

esound (0.2.29-2) unstable; urgency=low

  * Instead of using select() for OSS, use SNDCTL_DSP_GETOSPACE.
  * Revert changes in unsanctioned NMU.

 -- Ryan Murray <rmurray@debian.org>  Mon,  9 Aug 2004 20:28:59 -0700

esound (0.2.29-1) unstable; urgency=low

  * New upstream release (closes: #170923)
  * Rewrote generic esd_audio_write to attempt to use select if the driver
    seems to support it, and to write in a blocksize that can be changed by
    audio open functions.
    (closes: #57905, #95394, #122627, #159915)
  * Fix endian swapping code (closes: #126879)
  * build with libasound2-dev as libasound1-dev is no longer installable
    (closes: #118022)
  * Correct is_host_local check (closes: #153819)
  * correct doc-base index file (closes: #152091)
  * Correct handling while playing samples (closes: #112877, #144211)
  * add a MIME control file for esdplay (closes: #153279)
  * Take stdio emu code from libartsc (closes: #148259, #120829)
  * Remove libesddsp from LD_PRELOAD when autospawning esd (closes: #151434)
  * Document esd.conf in the esd manpage (closes: #129555)
  * Correct license in audio_alsa09.c (upstream bug 108799)

 -- Ryan Murray <rmurray@debian.org>  Wed, 19 Mar 2003 17:42:21 -0800

esound (0.2.28-2) unstable; urgency=low

  * Fix quoting on LD_PRELOAD (closes: #151496)
  * Fix -s parsing in esdctl (closes: #130720)

 -- Ryan Murray <rmurray@debian.org>  Mon,  1 Jul 2002 01:17:42 -0700

esound (0.2.28-1) unstable; urgency=low

  * New upstream release (closes: #144366, #130403, #114761)
  * Fix README.Debian WRT -tcpip vs -tcp (closes: #129127)
  * Add version of GPL to copyright statement (closes: #133495)
  * Correct esdplay manpage title (closes: #141317)
  * Don't install esddsp for hurd-i386 (closes: #144678)

 -- Ryan Murray <rmurray@debian.org>  Sat, 29 Jun 2002 21:01:34 -0700

esound (0.2.23-3) unstable; urgency=low

  * Ship esound.pc (closes: #120798)
  * Prepend to LD_PRELOAD in esddsp (closes: #126402)
  * Add fclose to go with fopen

 -- Ryan Murray <rmurray@debian.org>  Fri, 28 Dec 2001 11:02:46 -0800

esound (0.2.23-2) unstable; urgency=low

  * Update config.guess/config.sub

 -- Ryan Murray <rmurray@debian.org>  Wed, 21 Nov 2001 11:16:21 -0800

esound (0.2.23-1) unstable; urgency=low

  * New upstream release
  * "For the Glory of the Creator" release.
  * Build libaesd0-alsa on all Linux architectures, and change shlib for hurd
    (closes: #114051)
  * esound socket has moved back to /tmp/.esd, to be binary compatible with
    other distributions.
  * Remove debconf template/config (closes: #105871, #104105)
  * Change default configuration to have auto spawning disabled
    (closes: #113313)
  * Fix path to config file in esd manpage (closes: #107354)
  * Updated esdfilt and esdmon manpages (closes: #117925)
  * Update README.Debian
  * Added fopen() wrapper for esddsp (closes: #76301)

 -- Ryan Murray <rmurray@debian.org>  Mon, 19 Nov 2001 00:57:18 -0800

esound (0.2.22-6) unstable; urgency=low

  * Update conflicts to the appropriate packages (closes: #103858, #103751)
    (closes: #101799)
  * Added Spanish debconf template (closes: #103230)
  * Seems some delay is needed on the reopen for recording.  I've added
    a usleep, hopefully that is enough to make it work, yet not enough
    to be overly annoying (closes: #103772)

 -- Ryan Murray <rmurray@debian.org>  Sun,  8 Jul 2001 03:21:59 -0700

esound (0.2.22-5) unstable; urgency=low

  * libesd-alsa0 should be extra.  Changing it back.
  * add a conflicts against older esound due to the move of the unix domain
    socket (closes: #99782)

 -- Ryan Murray <rmurray@debian.org>  Sun,  3 Jun 2001 12:12:32 -0700

esound (0.2.22-4) unstable; urgency=low

  * Fix dependency generation for esound-clients and esound.
  * Change libesd-alsa0's priority to optional to match override file.
  * Build without sound support for the hurd (closes: #89461)
  * Close alsa PCM handle on errors in handle setup (closes: #83429)
  * Add sleeps when the writes are small for alsa (closes: #87334, #83346)
  * Add FILES section with esound.conf to esd manpage (closes: #87860)
  * Move esound socket dir to /var/run (closes: #90612, #86807)
  * Add mips to alsa architectures
  * Update some of the dependencies/conflicts (closes: #95751)
  * Update config.guess/config.sub (closes: #96729)
  * Move unix domain socket to /var/run/esound (closes: #98946, #86807)
  * Broke -terminate sometime ago (0.2.20-1 or so?) fixed now.
    (closes: #95596)
  * Update esdctl and esddsp pod pages (closes: #93993)
  * Implement play, loop, and stop in esdctl, as the docs say (closes: #81236)
  * Add Swedish, Dutch, and German templates (closes: #83502, #85553, #86217)
  * Switch to debhelper v3, and simplified the rules file

 -- Ryan Murray <rmurray@debian.org>  Sun, 27 May 2001 21:33:18 -0700

esound (0.2.22-3) unstable; urgency=low

  * Change ALSA from block to stream, and fix up code for dealing with
    underrun's (closes: #81022)
  * Remove Suggests: for non-existant package
  * Don't sleep when attempting to reopen for recording. (closes: #81398)
  * Really remove hosts.allow updating logic. (closes: #75966)

 -- Ryan Murray <rmurray@debian.org>  Tue, 23 Jan 2001 14:12:39 -0800

esound (0.2.22-2) unstable; urgency=low

  * Remove ugly sleep(1) hack that attempts to work around what appears to be
    a kernel bug.
  * Apply a mixing patch from Matthew Ashton <mashton@stormix.com> that fixes
    32k samples turning into static when 8k samples played in the middle
    (closes: #79145)
  * Add Replaces: for old -alsa packages.
  * Don't use tcp wrappers on unix domain sockets (closes: #79014)
  * Remove hosts.allow updating logic. (closes: #75966)
  * Move man pages into packages with the binaries, since they aren't
    packaged twice anymore.

 -- Ryan Murray <rmurray@debian.org>  Fri,  8 Dec 2000 23:13:55 -0800

esound (0.2.22-1) unstable; urgency=low

  * New upstream release
  * remove esound-alsa and libesd-alsa0-dev packages.  The only thing
    that needs a seperate alsa package is the library.
  * Rewrote mixing to mix the minimum that is available.  This seems to make
    mixed sounds work correctly now.  It used to be writing random bytes
    to the socket. (closes: #77553, #59331)
  * Only build twice the things we actually package twice (libesd)
  * Retry writes if device is busy. (closes: #76345, #65268)
  * Use strtok_r if available (closes: #76567)
  * Re-enable unix domain sockets, and make it the default.
    (closes: #75064, #66724)
  * Sleep for a bit if resume fails (closes: #64484)

 -- Ryan Murray <rmurray@debian.org>  Tue,  5 Dec 2000 23:11:24 -0800

esound (0.2.20-2) unstable; urgency=low

  * Fix missing esound-common documentation (closes: #74561, #74964, #74763)
  * Update package description (closes: #75109)
  * Add recommends of esound-clients to the esd libraries
  * Moved client manpages to esound-clients (closes: #75108)

 -- Ryan Murray <rmurray@debian.org>  Sun, 22 Oct 2000 02:39:54 -0700

esound (0.2.20-1) unstable; urgency=low

  * New upstream release
  * Make -d in esound-alsa take a card number parameter, instead of ignoring
    -d. (closes: #72653)
  * Buffer overrun fix (closes: #66759)
  * only call accept if a new connection is waiting.  Saves a system call
    on every sound packet.
  * Add esound-clients package.  Lots of other package reorganizations.
    (closes: #72304, #69856)
  * Add an entry to /etc/hosts.allow to allow localhost by default, if there
    is no entry. (closes: #66433, #67219, #67437, #72794)

 -- Ryan Murray <rmurray@debian.org>  Mon,  9 Oct 2000 02:36:34 -0700

esound (0.2.19-5) unstable; urgency=low

  * Make list of ALSA archs in rules match the list in control (closes: #69671)

 -- Ryan Murray <rmurray@debian.org>  Mon, 21 Aug 2000 21:49:36 -0700

esound (0.2.19-4) unstable; urgency=low

  * Fix segmentation fault when using ALSA (closes: #69449)

 -- Ryan Murray <rmurray@debian.org>  Sun, 20 Aug 2000 19:28:18 -0700

esound (0.2.19-3) unstable; urgency=low

  * sparc and powerpc now have libasound1 available, so update the
    build-depends to fix it...

 -- Ryan Murray <rmurray@debian.org>  Fri, 18 Aug 2000 17:05:27 -0700

esound (0.2.19-2) unstable; urgency=low

  * Fix version in esddsp (closes: #67658)

 -- Ryan Murray <rmurray@debian.org>  Fri, 11 Aug 2000 04:09:12 -0700

esound (0.2.19-1) unstable; urgency=low

  * New upstream release (closes: #63206)
  * Remove autogenerated files from the diff.

 -- Ryan Murray <rmurray@debian.org>  Sun, 23 Jul 2000 01:14:48 -0700

esound (0.2.18-3) unstable; urgency=low

  * New Maintainer.
  * Reword debconf text to try to make it clear that sound must be setup.
  * Add nobeeps option to manpage, closes: #65359
  * Update Build-Depends to be libasound1-dev, and add libwrap0-dev
  * Add a README.Debian with one FAQ, closes: #65198
  * Add all architectures that currently have a libasound-dev library
    to build esd-alsa

 -- Ryan Murray <rmurray@debian.org>  Sun, 18 Jun 2000 20:49:50 -0700

esound (0.2.18-2) unstable; urgency=low

  * Applied patch from Juergen E Fischer <fischer@linux-buechse.de>, 
    closes: #61959, #62054 
  * s/0.2.17/0.2.18/ in esddsp.in, closes: #62130

 -- Brian M. Almeida <bma@debian.org>  Mon, 10 Apr 2000 13:24:30 -0400

esound (0.2.18-1) unstable; urgency=low

  * New upstream release
  * Updated download location and author's email in debian/copyright
  * New upstream HTML documentation
  * Compiled against ALSA 0.5

 -- Brian M. Almeida <bma@debian.org>  Wed,  5 Apr 2000 11:45:38 -0400

esound (0.2.17-8) unstable; urgency=low

  * Removed garbage from beginning of esound.html, closes: #60804
  * Removed test if daemon is running in esddsp, it's not really
    needed anymore anyways, closes: #60681

 -- Brian M. Almeida <bma@debian.org>  Mon, 20 Mar 2000 14:10:28 -0500

esound (0.2.17-7) frozen unstable; urgency=low

  * Fix doc-base entry, closes: #60231 

 -- Brian M. Almeida <bma@debian.org>  Sun, 12 Mar 2000 15:40:53 -0500

esound (0.2.17-6) frozen unstable; urgency=low

  * Print 'opening socket' to stderr (esdcat.c, esdloop.c, esdmon.c,
    esdrec.c, esdsample.c), closes: #59610

 -- Brian M. Almeida <bma@debian.org>  Mon,  6 Mar 2000 13:35:06 -0500

esound (0.2.17-5) frozen unstable; urgency=low

  * Change ' to " so LD_PRELOAD works, closes: #59085

 -- Brian M. Almeida <bma@debian.org>  Mon, 28 Feb 2000 12:58:38 -0500

esound (0.2.17-4) frozen unstable; urgency=low

  * Fixed a bug in the esddsp shellscript, closes: #58871

 -- Brian M. Almeida <bma@debian.org>  Thu, 24 Feb 2000 16:10:02 -0500

esound (0.2.17-3) frozen unstable; urgency=medium

  * Fix Build-Depends (change libaudiofile0-dev to libaudiofile-dev,
    only depend on libasoun0.4 on i386 and sparc), closes: #58295

 -- Brian M. Almeida <bma@debian.org>  Thu, 17 Feb 2000 08:12:30 -0500

esound (0.2.17-2) frozen unstable; urgency=medium

  * Security fix, needs to go into potato
  * Change esd to use TCP/IP and turn off UNIX domain sockets, closes: #58054 

 -- Brian M. Almeida <bma@debian.org>  Wed, 16 Feb 2000 16:14:33 -0500

esound (0.2.17-1) frozen unstable; urgency=medium

  * New upstream version
  * Contains security fixes only, needs to go into potato

 -- Brian M. Almeida <bma@debian.org>  Fri,  4 Feb 2000 15:14:44 -0500

esound (0.2.16-4) unstable; urgency=low

  * Added debhelper to Build-Depends

 -- Brian M. Almeida <bma@debian.org>  Thu, 13 Jan 2000 10:35:05 -0500

esound (0.2.16-3) unstable; urgency=low

  * Policy version 3.1.1 
  * Added Build-Depends

 -- Brian M. Almeida <bma@debian.org>  Thu, 13 Jan 2000 10:04:23 -0500

esound (0.2.16-2) unstable; urgency=low

  * Fixed esddsp to use newest shlibs, removed some code from
    esddsp.c that didn't make sense with unix domain sockets, closes: #53602

 -- Brian M. Almeida <bma@debian.org>  Tue, 28 Dec 1999 09:46:47 -0500

esound (0.2.16-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Wed, 22 Dec 1999 14:38:10 -0500

esound (0.2.15-14) unstable; urgency=low

  * Build in seperate directories, thanks to Adam Heath <doogie@debian.org>
    for telling me about the ../configure trick, closes: #53246, #53248
    Closes: #53249, #53278

 -- Brian M. Almeida <bma@debian.org>  Wed, 22 Dec 1999 07:18:11 -0500

esound (0.2.15-13) unstable; urgency=low

  * Patch from Richard Guenther to chdir to a "safe" directory, closes: #51959
  * Convert esound.sgml to HTML, closes: #52188
  * esd-config may not be in -dev, but it is in -common, which -dev
    now Depends: on, closes: #52208
  * Loosen dependencies again, closes: #52232
  * Merged in patch from NMU, closes: #52443

 -- Brian M. Almeida <bma@debian.org>  Mon, 20 Dec 1999 15:49:21 -0500

esound (0.2.15-12.1) unstable; urgency=low

  * Non maintainer upload during the bugsquashing party.
  * Applied the patch from Roman to debian/rules. Closes: #52443

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 19 Dec 1999 21:16:25 +0100

esound (0.2.15-12) unstable; urgency=medium

  * Changed priority of the *alsa* packages to extra, since alsa is extra

 -- Brian M. Almeida <bma@debian.org>  Sun,  5 Dec 1999 13:46:50 -0500

esound (0.2.15-11) unstable; urgency=medium

  * Removed restriction on shlibs, closes: #51873 

 -- Brian M. Almeida <bma@debian.org>  Sun,  5 Dec 1999 08:46:41 -0500

esound (0.2.15-10) unstable; urgency=medium

  * Added conflicts (libesd0-dev << 0.2.15-8) on esound-common, closes: #51791 

 -- Brian M. Almeida <bma@debian.org>  Thu,  2 Dec 1999 07:23:58 -0500

esound (0.2.15-9) unstable; urgency=medium

  * Moved debconf templates into esound-common, closes: #51585, #51759
  * Only compile ALSA packages on i386 and sparc, closes: #51699

 -- Brian M. Almeida <bma@debian.org>  Wed,  1 Dec 1999 22:09:35 -0500

esound (0.2.15-8) unstable; urgency=medium

  * Make esound-alsa, split common data between esound and esound-alsa
    into esound-common (closes: #50941)

 -- Brian M. Almeida <bma@debian.org>  Tue, 23 Nov 1999 11:55:03 -0500

esound (0.2.15-7) unstable; urgency=medium

  * Removed remark about default setting in postinst, closes: #49961 

 -- Brian M. Almeida <bma@debian.org>  Fri, 12 Nov 1999 11:07:19 -0500

esound (0.2.15-6) unstable; urgency=medium

  * Include *.a files, oops 

 -- Brian M. Almeida <bma@debian.org>  Thu, 11 Nov 1999 00:09:26 -0500

esound (0.2.15-5) unstable; urgency=medium

  * Ask questions in debconf's config script, closes: #49511

 -- Brian M. Almeida <bma@debian.org>  Sun,  7 Nov 1999 19:06:29 -0500

esound (0.2.15-4) unstable; urgency=medium

  * Applied patch for PPC architectures, closes: #49086 

 -- Brian M. Almeida <bma@debian.org>  Fri,  5 Nov 1999 08:42:14 -0500

esound (0.2.15-3) unstable; urgency=medium

  * Updated versions of config.guess and config.sub, hopefully
    this will fix bug#49086 (PowerPC people, please test!) 

 -- Brian M. Almeida <bma@debian.org>  Thu,  4 Nov 1999 14:38:54 -0500

esound (0.2.15-2) unstable; urgency=low

  * Added manpages for all programs (pod owns!), closes: #39486, #39478
  * References correct doc-base path, closes: #47742
  * Compiles static library (fixed in last release), closes: #47928

 -- Brian M. Almeida <bma@debian.org>  Thu,  4 Nov 1999 14:03:46 -0500

esound (0.2.15-1) unstable; urgency=low

  * New maintainer (ping, pong, ping, pong)
  * New upstream version, closes: #47506, #48276
  * Uses debconf, closes #47617 
  * Compiled with --with-libwrap, closes: #49042
  * Simplified debian/rules

 -- Brian M. Almeida <bma@debian.org>  Wed,  3 Nov 1999 21:08:16 -0500

esound (0.2.14-0.2) unstable; urgency=low

  * New maintainer
  * Non-maintainer release for new maintainer :)
  * New upstream version, closes: #44139
  * Fixed bad perms on /tmp/.esd, closes: #41454
  * esound now depends on libesd0, closes: #45682
  * esddsp now uses correct library versions, closes: #46466
  * applied patch to esd.m4, closes: #42527
  * Inform user how to rerun config script, closes: #40962
  * Updated to standards 3.0.1.1
  * Updated to FHS

 -- Brian M. Almeida <bma@debian.org>  Wed,  6 Oct 1999 08:33:14 -0400

esound (0.2.14-0.1) unstable; urgency=low

  * New upstream version NMU for gnome-1.0.50

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 29 Sep 1999 16:06:47 -0400

esound (0.2.10-0.19990424.6.2) unstable; urgency=medium

  * Non-Maintainer Upload
  * Conditionalized the ARCH variable thing for Alpha (so as not to break
    HURD)

 -- David Huggins-Daines <dhd@debian.org>  Sat,  3 Jul 1999 13:50:09 -0400

esound (0.2.10-0.19990424.6.1) unstable; urgency=medium

  * Non-Maintainer Upload
  * Recompiled without ALSA (both to make GNOME work again, and because
    this is a policy violation)
  * Also added an ARCH variable to make Alpha compiles work better.

 -- David Huggins-Daines <dhd@debian.org>  Sat,  3 Jul 1999 01:21:13 -0400

esound (0.2.10-0.19990424.6) unstable; urgency=low

  * Made /usr/sbin/esdconfig executable (closes: #39187)
  * Applied esdlib.c cleanup patch from BTS (closes: #39188) 

 -- Brian M. Almeida <bma@debian.org>  Wed,  9 Jun 1999 10:20:04 -0400

esound (0.2.10-0.19990424.5) unstable; urgency=low

  * Added esdconfig script to configure /etc/esound/esd.conf (closes: #38707)

 -- Brian M. Almeida <bma@debian.org>  Sun,  6 Jun 1999 22:27:51 -0400

esound (0.2.10-0.19990424.4) unstable; urgency=medium

  * Ok, REALLY fixed the doc-base stuff (closes: #38208, #38223) 
     + Added shebang to libesd0.prerm ("oops?")
     + Use correct name of document

 -- Brian M. Almeida <bma@debian.org>  Mon, 24 May 1999 07:28:19 -0400

esound (0.2.10-0.19990424.3) unstable; urgency=low

  * Fixed incorrect doc-base commands (closes: #37976) 

 -- Brian M. Almeida <bma@debian.org>  Sat, 22 May 1999 22:25:07 -0400

esound (0.2.10-0.19990424.2) unstable; urgency=low

  * use -V option of dh_makeshlibs (closes: #37646)

 -- Brian M. Almeida <bma@debian.org>  Mon, 17 May 1999 22:54:28 -0400

esound (0.2.10-0.19990424.1) unstable; urgency=low

  * Fixed dual instance of libaudiofile0 in esound's Depends: 

 -- Brian M. Almeida <bma@debian.org>  Tue, 27 Apr 1999 07:23:31 -0400

esound (0.2.10-0.19990424) unstable; urgency=low

  * Upstream CVS release
  * Don't use -as 2 as default anymore (esddsp issues)
  * esddsp.in - don't try to connect to esound if it's not running
  * Added postinst script for esound, kills esd processes if running,
    will be respawned by esdlib upon next access (closes: #36163)

 -- Brian M. Almeida <bma@debian.org>  Sat, 24 Apr 1999 18:07:48 -0400

esound (0.2.8-4) unstable; urgency=low

  * Applied upstream patches
    * Uses Unix domain sockets by default, for less sound breakup
    * esd now has a conf file (/etc/esd.conf or ~/.esd.conf)
    * Uses INADDR constants instead of inet_addr calls
    * More miscellaneous stuff, see /usr/doc/esound/changelog.gz 
  * Added esd.conf conffile
  * Bumped standards version to 2.5.0.0
  * Updated debian/copyright
  * Added /usr/doc/esound/esound.sgml, registers with doc-base

 -- Brian M. Almeida <bma@debian.org>  Wed, 14 Apr 1999 18:49:45 -0400

esound (0.2.8-3) unstable; urgency=low

  * libesd0-dev depends on libaudiofile-dev. closes: #35322 

 -- Brian M. Almeida <bma@debian.org>  Wed, 31 Mar 1999 07:00:16 -0500

esound (0.2.8-2) unstable; urgency=low

  * Added Author's name and email in copyright (#34183)

 -- Brian M. Almeida <bma@debian.org>  Sat,  6 Mar 1999 22:28:15 -0500

esound (0.2.8-1) unstable; urgency=low

  * New upstream release 

 -- Brian M. Almeida <bma@debian.org>  Sat, 20 Feb 1999 13:19:08 -0500

esound (0.2.7-0.19990216) unstable; urgency=low

  * Fixed rpath stuff
  * Updated to 19990216 snapshot

 -- Brian M. Almeida <bma@debian.org>  Tue, 16 Feb 1999 08:44:37 -0500

esound (0.2.7-0.19990209) unstable; urgency=low

  * CVS snapshot release for GNOME stuff (#32575) 

 -- Brian M. Almeida <bma@debian.org>  Tue,  9 Feb 1999 23:21:44 -0500

esound (0.2.6-4) unstable; urgency=low

  * Fixes bug #30283 (esd.m4 not included in -dev package)

 -- Brian M. Almeida <bma@debian.org>  Wed,  3 Dec 1998 08:22:00 -0500

esound (0.2.6-3) frozen unstable; urgency=low

  * Fixes bug #29761

 -- Brian M. Almeida <bma@debian.org>  Fri, 20 Oct 1998 08:12:00 -0500

esound (0.2.6-2) unstable; urgency=low

  * Most odd, disntall complained about there being an esound 0.2.6-1.
    I'm still puzzling over that one.  Anyways, here's one to override it.

 -- Brian M. Almeida <bma@debian.org>  Mon,  9 Oct 1998 16:21:00 -0400

esound (0.2.6-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Sat, 31 Oct 1998 01:21:00 -0400

esound (0.2.5-5) unstable; urgency=low

  * Added libaudiofile0 dependency on esound so it can use esdplay

 -- Brian M. Almeida <bma@debian.org>  Wed, 14 Oct 1998 20:21:00 -0400

esound (0.2.5-4) unstable; urgency=low

  * Changed Recommends: esound to Suggests: esound in debian/control (#27907)

 -- Brian M. Almeida <bma@debian.org>  Wed, 14 Oct 1998 15:00:00 -0400

esound (0.2.5-3) unstable; urgency=low

  * Fixed debian/control to put esound in the correct sections

 -- Brian M. Almeida <bma@debian.org>  Wed,  6 Oct 1998 13:45:00 -0400

esound (0.2.5-2) unstable; urgency=low

  * Doh! Forgot to change Maintainer: in debian/control
  * Cleaned up debian/rules to use debhelper correctly.

 -- Brian M. Almeida <bma@debian.org>  Mon,  5 Oct 1998 13:50:00 -0400

esound (0.2.5-1) unstable; urgency=low

  * New maintainer.

 -- Brian M. Almeida <bma@debian.org>  Wed, 30 Sep 1998 20:18:38 -0400

esound (0.2.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release from CVS snapshot 19980929, needed for new
    release of eMusic (esd_close() function needed).  0.2.5-final 
    will be released after some more testing.  
  * The buzzing sound has been fixed...yay!

 -- Brian M. Almeida <bma@debian.org>  Thu, 29 Sep 1998 18:18:38 -0400

esound (0.2.4-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.

 -- Brian M. Almeida <bma@debian.org>  Tue, 14 Jul 1998 23:49:38 -0400

esound (0.2.1-2) unstable; urgency=low

  * Updated esd.h so it didn't include the local config.h file
  * Fixed copyright file.

 -- Scott K. Ellis <scott@debian.org>  Mon,  8 Jun 1998 14:49:38 -0400

esound (0.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Scott K. Ellis <scott@debian.org>  Mon,  8 Jun 1998 13:35:35 -0400
